Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005253OCamlOCaml documentationpublic2011-04-22 10:272016-03-22 16:14
ReporterChristophe Troestler 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.13.0+dev 
Target Version4.03.0+dev / +beta1Fixed in Version4.03.0+dev / +beta1 
Summary0005253: Unix: the API doc should say how functions behave under windows.
DescriptionIt is rather inconvenient to have to go back to the manual [1] to find out whether a function has been implemented under windows. It would be more convenient to have this information right in the documentation of the Unix module (especially if one searches the API with ocamldoc). Moreover, I believe this would keep the doc. more in sync: for example [getgid] is reported twice with different comments, [getegid] is said to be not implemented while it is, [geteuid] is not mentioned,...


[1] http://caml.inria.fr/pub/docs/manual-ocaml/manual035.html [^]
Tagspatch
Attached Filespatch file icon unix.patch [^] (14,352 bytes) 2011-04-22 11:19 [Show Content]

- Relationships

-  Notes
(0010359)
Bardou (reporter)
2013-09-16 18:17

The documentation for set_nonblock is that one should use threads, but maybe Unix.select is another option.
(0015137)
frisch (developer)
2015-12-11 19:00

It's an excellent idea to document Windows support right in unix.mli. Do you feel like bringing your patch up to date with the current trunk and submitting a pull request on Github?
(0015148)
Christophe Troestler (reporter)
2015-12-13 09:58

I definitely can bring the patch up to date with the current trunk. With the advent of ppx however, I was wondering if, in addition to the documentation, it would not be desirable to introduce a new attribute to say that some function is only on some os_type. An associated warning (turned off by default) would make possible to be sure that a given code does not use functions specific to a given platform (that would also be useful for some external libraries I think).
(0015149)
Christophe Troestler (reporter)
2015-12-13 18:10

Done. See https://github.com/ocaml/ocaml/pull/349 [^]
(0015155)
frisch (developer)
2015-12-14 09:52

Great! Should we keep the explicit list of unsupported features in the manual, or simply refer to the documentation of the Unix interface?
(0015156)
dbuenzli (reporter)
2015-12-14 11:21

The list in the manual is useful because it gives a bird eyes view of what you don't get on Windows but OTOH having the same information at two places increases the chances that it gets out of sync.
(0015574)
doligez (administrator)
2016-03-22 16:13

Closing this PR: GPR#349 was merged.

- Issue History
Date Modified Username Field Change
2011-04-22 10:27 Christophe Troestler New Issue
2011-04-22 11:19 Christophe Troestler File Added: unix.patch
2011-04-29 16:24 doligez Status new => acknowledged
2012-06-21 20:09 frisch Category OCaml general => OCaml documentation
2012-09-06 16:44 doligez Target Version => 4.00.1+dev
2012-09-19 15:30 doligez Target Version 4.00.1+dev => 4.00.2+dev
2013-07-11 16:10 doligez Target Version 4.00.2+dev => 4.02.0+dev
2013-07-12 18:15 doligez Target Version 4.02.0+dev => 4.01.1+dev
2013-09-16 18:17 Bardou Note Added: 0010359
2013-10-08 15:31 doligez Tag Attached: patch
2014-05-25 20:20 doligez Target Version 4.01.1+dev => 4.02.0+dev
2014-07-16 20:21 doligez Target Version 4.02.0+dev => 4.02.1+dev
2014-09-04 00:25 doligez Target Version 4.02.1+dev => undecided
2014-09-23 17:20 doligez Target Version undecided => 4.03.0+dev / +beta1
2015-12-11 19:00 frisch Note Added: 0015137
2015-12-13 09:58 Christophe Troestler Note Added: 0015148
2015-12-13 18:10 Christophe Troestler Note Added: 0015149
2015-12-14 09:52 frisch Note Added: 0015155
2015-12-14 11:21 dbuenzli Note Added: 0015156
2016-03-22 16:13 doligez Note Added: 0015574
2016-03-22 16:14 doligez Status acknowledged => closed
2016-03-22 16:14 doligez Resolution open => fixed
2016-03-22 16:14 doligez Fixed in Version => 4.03.0+dev / +beta1


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker